> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets all Deployment Target Types

> Gets all Deployment Target Types.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/admin/v1/deploymentTargetTypes
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/admin/v1/deploymentTargetTypes:
    get:
      tags:
        - Model deployment
      summary: Gets all Deployment Target Types
      description: Gets all Deployment Target Types.
      operationId: getDeploymentTargetTypes
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DeploymentTargetType'
                type: array
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    DeploymentTargetType:
      description: >-
        Deployment Target Type.  Each specific schema can have properties that
        are direct children or one layer deep.  Two or more layers of nesting is
        not supported.
      example:
        dataPlaneId: 0
        deploymentTargetConfigurationSchemas:
          defaultResourceConfigs:
            Cheap:
              instanceType: ml.t2.medium
            Expensive:
              instanceType: ml.c5.2xlarge
          resourceConfigSchema:
            properties:
              instanceType:
                description: AWS compute instance type
                title: Instance Type
                type: string
            required:
              - instanceType
            type: object
          targetConfigSchema:
            properties:
              credentials:
                properties:
                  account:
                    description: AWS Account ID
                    title: Account
                    type: string
                  credentials:
                    description: AWS Credentials File
                    format: password
                    title: Credentials
                    type: string
                required:
                  - account
                  - credentials
                type: object
              sagemaker:
                properties:
                  ecrUrl:
                    description: Amazon Elastic Container Registry URL for model images
                    title: ECR URL
                    type: string
                  executionRoleArn:
                    description: >-
                      The Amazon Resource Name (ARN) of the task execution role
                      that grants the Amazon ECS container agent permission to
                      make AWS API calls on your behalf.
                    title: Execution Role ARN
                    type: string
                  region:
                    description: AWS Region
                    title: Region
                    type: string
                  sagemakerS3ModelsBucket:
                    description: S3 bucket for storing model artifacts
                    title: Sagemaker S3 Models Bucket
                    type: string
                required:
                  - region
                  - executionRoleArn
                type: object
            type: object
        id: 0
        modelDeploymentConfigurationSchemas:
          modelSpecificSchema:
            properties:
              autoscaling:
                properties:
                  enabled:
                    default: false
                    description: Enable autoscaling
                    title: Autoscaling Enabled
                    type: Boolean
                  maxInstances:
                    default: 4
                    description: Maximum number of instances running at any time
                    minimum: 0
                    title: Max Instances
                    type: Integer
                  minInstances:
                    default: 0
                    description: Minimum number of instances running at any time
                    minimum: 0
                    title: Min Instances
                    type: Integer
                type: object
            type: object
          sharedSchema:
            properties:
              enableExplanations:
                default: false
                description: Turn on Explainer
                title: Enable Explanations
                type: Boolean
            type: object
        modelDeploymentCustomResourceDefinition:
          group: modelserving.dominodatalab.com
          kind: SagemakerModelDeployment
          version: v1alpha1
        modelDeploymentStateSchemas:
          modelSpecificSchema: {}
          sharedSchema: {}
        modelDeploymentSupportedModelSources:
          - MODELREGISTRY
        modelDeploymentTypeConfigurationSchemas:
          ASYNC_ENDPOINT:
            modelSpecificSchema:
              properties:
                requestTimeoutSeconds:
                  default: 60
                  maximum: 1800
                  minimum: 1
                  title: Request Timeout
                  type: Integer
              type: object
            sharedSchema:
              properties:
                maximumQueuedRequests:
                  default: 1000
                  maximum: 10000
                  minimum: 100
                  title: Maximum queued requests
                  type: Integer
              type: object
          SYNC_ENDPOINT:
            modelSpecificSchema:
              properties:
                serverless:
                  default: false
                  title: Serverless
                  type: Boolean
              type: object
            sharedSchema:
              properties:
                healthcheck:
                  properties:
                    failureThresholdCount:
                      default: 3
                      description: (count)
                      minimum: 1
                      title: Failure Threshold
                      type: Integer
                    initialDelaySeconds:
                      default: 60
                      description: (seconds)
                      minimum: 0
                      title: Initial Delay
                      type: Integer
                    periodSeconds:
                      default: 60
                      description: (seconds)
                      minimum: 5
                      title: Health check period
                      type: Integer
                    timeoutSeconds:
                      default: 300
                      description: (seconds)
                      minimum: 1
                      title: Health check timeout
                      type: Integer
                  title: HealthCheck Fields
                  type: object
              type: object
        modelDeploymentTypeStateSchemas:
          ASYNC_ENDPOINT:
            modelSpecificSchema: {}
            sharedSchema: {}
          SYNC_ENDPOINT:
            modelSpecificSchema: {}
            sharedSchema: {}
        name: SagemakerModelDeployment
        operatorVersion: 1
      properties:
        dataPlaneId:
          description: ID of the data plane where the operator is deployed
          type: string
        deploymentTargetConfigurationSchemas:
          $ref: '#/components/schemas/DeploymentTargetConfigurationSchemas'
        id:
          description: UUID for the Deployment Target Type
          type: string
        logoUrl:
          description: Url to pull logo image from
          type: string
        modelDeploymentConfigurationSchemas:
          $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
        modelDeploymentCustomResourceDefinition:
          $ref: '#/components/schemas/DeploymentCustomResourceDefinition'
        modelDeploymentStateSchemas:
          $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
        modelDeploymentSupportedModelSources:
          description: Model sources supported by Domino
          example:
            - MODELREGISTRY
          items:
            $ref: '#/components/schemas/ModelSource'
          type: array
        modelDeploymentTypeConfigurationSchemas:
          $ref: '#/components/schemas/DeploymentTypeSpecificSchemas'
        modelDeploymentTypeStateSchemas:
          $ref: '#/components/schemas/DeploymentTypeSpecificSchemas'
        name:
          description: Internal name for the Deployment Target Type
          example: aws
          type: string
        operatorVersion:
          description: Version of the operator
          example: 1.0.2
          type: string
      required:
        - id
        - name
        - operatorVersion
        - dataPlaneId
        - modelDeploymentSupportedModelSources
        - modelDeploymentCustomResourceDefinition
        - deploymentTargetConfigurationSchemas
        - modelDeploymentConfigurationSchemas
        - modelDeploymentTypeConfigurationSchemas
        - modelDeploymentStateSchemas
        - modelDeploymentTypeStateSchemas
      type: object
    DeploymentTargetConfigurationSchemas:
      description: >-
        The Deployment Target configuration schemas.  Each configuration can
        have properties that are direct children or one layer deep.  Two or more
        layers of nesting is not supported.
      properties:
        defaultResourceConfigs:
          additionalProperties:
            type: object
          type: object
        resourceConfigSchema:
          $ref: '#/components/schemas/JSONSchema'
        targetConfigSchema:
          $ref: '#/components/schemas/JSONSchema'
      required:
        - targetConfigSchema
        - resourceConfigSchema
        - defaultResourceConfigs
      type: object
    SharedAndModelSpecificSchemas:
      description: Shared and Model Specific configs.
      properties:
        modelSpecificSchema:
          $ref: '#/components/schemas/JSONSchema'
        sharedSchema:
          $ref: '#/components/schemas/JSONSchema'
      required:
        - sharedSchema
        - modelSpecificSchema
      type: object
    DeploymentCustomResourceDefinition:
      description: Custom Resource Definition for Model Deployment
      properties:
        group:
          description: The group of the Custom Resource Definition
          type: string
        kind:
          description: The kind of the Custom Resource Definition
          type: string
        version:
          description: The version of the Custom Resource Definition
          type: string
      required:
        - group
        - kind
        - version
      type: object
    ModelSource:
      enum:
        - MODELREGISTRY
      type: string
    DeploymentTypeSpecificSchemas:
      additionalProperties:
        $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
      description: >-
        The supported deployment types.  There must be one property present for
        each deployment type.
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    JSONSchema:
      description: Core schema meta-schema
      properties:
        additionalProperties:
          $ref: '#/components/schemas/JSONSchema'
        default: {}
        description:
          type: string
        enum:
          items: {}
          minItems: 1
          type: array
          uniqueItems: true
        example: {}
        format:
          description: Superset of valid JSON Schema and OpenAPI formats.
          enum:
            - date-time
            - time
            - date
            - duration
            - email
            - idn-email
            - hostname
            - idn-hostname
            - ipv4
            - ipv6
            - uuid
            - uri
            - uri-reference
            - iri
            - iri-reference
            - uri-template
            - json-pointer
            - relative-json-pointer
            - regex
            - float
            - double
            - int32
            - int64
            - password
            - byte
            - binary
            - multiline
            - password-multiline
          type: string
        id:
          type: string
        items:
          $ref: '#/components/schemas/JSONSchema'
        maxItems:
          $ref: '#/components/schemas/PositiveInteger'
        maxLength:
          $ref: '#/components/schemas/PositiveInteger'
        maxProperties:
          $ref: '#/components/schemas/PositiveInteger'
        maximum:
          type: number
        minItems:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minLength:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minProperties:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minimum:
          type: number
        pattern:
          format: regex
          type: string
        properties:
          additionalProperties:
            $ref: '#/components/schemas/JSONSchema'
          default: {}
          type: object
        required:
          $ref: '#/components/schemas/StringArray'
        title:
          type: string
        type:
          $ref: '#/components/schemas/JSONSchemaType'
        uniqueItems:
          default: false
          type: boolean
      type: object
    PositiveInteger:
      minimum: 0
      type: integer
    PositiveIntegerDefault0:
      default: 0
      minimum: 0
      type: integer
    StringArray:
      items:
        type: string
      minItems: 1
      type: array
      uniqueItems: true
    JSONSchemaType:
      enum:
        - array
        - boolean
        - integer
        - 'null'
        - number
        - object
        - string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Gets all non-archived Deployment Targets based on the provided filters](/api-reference/model-deployment/gets-all-non-archived-deployment-targets-based-on-the-provided-filters.md)
- [Gets all selectable non-archived Deployment Targets based on the provided filters](/api-reference/model-deployment/gets-all-selectable-non-archived-deployment-targets-based-on-the-provided-filters.md)
- [Gets a Deployment Target](/api-reference/model-deployment/gets-a-deployment-target.md)
- [Gets a Deployment Target Type](/api-reference/model-deployment/gets-a-deployment-target-type.md)
